﻿using System;
using System.Collections;
using System.Threading;
using Microsoft.SPOT;

//using Gadgeteer.Networking;
using GT = Gadgeteer;
using GTM = Gadgeteer.Modules;
using Gadgeteer.Modules.Seeed;

namespace Cerb40_GPS_Example
{
    public partial class Program
    {
        // This method is run when the mainboard is powered up or reset.   
        void ProgramStarted()
        {
            // GSP event handler
            gPS_4_2.PositionReceived += new GPS_4_2.PositionReceivedHandler(gPS_4_2_PositionReceived);

            // Use Debug.Print to show messages in Visual Studio's "Output" window during debugging.
            Debug.Print("Program Started");
        }

        // Print GPS Position to Debug if Received a Position
        void gPS_4_2_PositionReceived(GPS_4_2 sender, GPS_4_2.Position position)
        {
            Debug.Print("LAT: " + position.Latitude.ToString());
            Debug.Print("LNG: " + position.Longitude.ToString());
        }
    }
}
